/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLHRElement_H___INT_
#define __GdomHTMLHRElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLHRElement.h"
G_BEGIN_DECLS
class GDOMHTMLHRElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTMLHR_ELEMENT; }
    GDOMHTMLHRElement(PassRefPtr<WebCore::HTMLHRElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLHRElement_H___INT_*/
